
/*HEADER: */
#header
{
  background-color: #282828;
  padding: 10px;
  position: fixed;
  top: 0;
  height: 60px;
  width: 100%;
  z-index: 5;
  transition: top 0.2s ease-in-out;
}
#header.nav-up
{
  top: -80px;
}

.hgordon-button
{
  overflow: visible;
  height: 40px;
  background-color: transparent;
  position: absolute;
  color: red;
  cursor: pointer;
  top: 10px;
  left: 33.333333%;
  transform: translate(-50%, 0%);
  font-family: 'minim-joe';
  font-size: 1.7rem;
  white-space: nowrap;
}

.header-strip
{
  position: absolute;
  top: 10px;
  right: 33.333333%;
  transform: translate(50%, 0%);
}
.header-dropdown
{
  position: relative;
  display: inline-block;
}
.header-button
{
  font-size: 16px;
  color: white;
  height: 40px;
  background-color: transparent;
  color: white;
  cursor: pointer;
  border: none;
  padding-left: 10px;
  padding-right: 10px;
  transition: 0.4s;
  font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}
.header-button:hover
{
  background-color: transparent;
  color: darkgray;
}
.header-dropdown-content
{
  /* display: none; */
  position: absolute;
  min-width: 100%;
  /* box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2); */
  box-shadow: 0 0 0 rgba(0, 0, 0, 0.2); /* No shadow initially */
  z-index: 1;
  left: 50%;
  /* transform: translate(-50%, 0%); */
  transform: translate(-50%, -20%);
  transform-origin: 50%;
  opacity: 0;
  visibility: hidden;
  transition: all 0.5s ease;
}
.header-dropdown-content a
{
  display: block;
  background: #282828;
  text-decoration: none;
  display: block;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 0px;
  padding-bottom: 10px;
  text-align: center;
  color: white;
  transition: 0.4s;
  font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
  white-space: nowrap;
}
.header-dropdown-content a:hover
{
  color: darkgray;
}
.header-dropdown:hover .header-dropdown-content
{
  /* display: block; */
  transform: translate(-50%, 0%);
  opacity: 1;
  visibility: visible;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2); /* Grow shadow */

}
.header-strip .contact-link
{
    padding: 10px;
    color: black;
    background-color: white;
}
.header-strip .contact-link:hover
{
    background-color: rgba(255, 255, 255, 0);
    color: white;
    box-shadow: inset 0 0 0 1px rgb(255, 255, 255);
}

/* MOBILE HEADER */
.header-strip-menu-icon
{
  display: none;
}

/* PAGE SELECTORS */
#home-page .home-link,
#portfolio-page .portfolio-link,
#order-page .order-link,
#graphic-design-page .graphic-design-link,
#about-page .about-link,
#contact-page .contact-link,
#photoshoots-page .photoshoots-link,
#aerial-page .aerial-link
{
  color: goldenrod;
}



@media only screen and (max-width: 1200px) {
  .hgordon-button {
    text-align: left;
    left: 10px;
    transform: translate(0%, 0%);
  }

  .header-strip {
    right: 0%;
    transform: translate(-20px, 0%);
  }
}

@media only screen and (max-width: 800px)
  {
  #header {
    height: 80px;
  }

  .header-strip {
    padding-top: 10px;
  }

  .hgordon-button {
    overflow: visible;
    white-space: normal;
    font-size: 1.3em;
    width: 48%;
    height: 60px;
    padding-right: 10px;
  }

  .top {
    padding-top: 80px;
  }
}

@media only screen and (max-width: 550px) {
  .header-strip {
    display: none;
  }

  .header-strip-menu-icon {
    position: relative;
    display: block;
    height: 60px;
    width: 100%;
    padding: 10px;
  }
}




/* MOBILE HEADER */
.header-menu-element.header-menu-container {
  pointer-events: none;

}
.header-menu-open.header-menu-container {
  pointer-events: auto;
}

.header-menu-box {
  visibility: hidden;
  opacity: 0;
  position: relative;
  width: 95%;
  height: auto;
  margin-left: 2.5%;
  margin-right: 2.5%;
  margin-top: 30px;
  overflow: hidden;
  border-radius: 3px;
  background-color: rgb(155, 198, 238);
  box-shadow: 0 2px 20px rgba(0, 0, 0, 0.2), inset 0 1px 0 rgba(255, 255, 255, 0.4);
  font-family: Arial, Helvetica, sans-serif;
  transition: opacity 0.3s;
  display: flex;
  justify-content: center;
}

.header-menu-open .header-menu-box {
  visibility: visible;
  opacity: 1;
  transition: opacity 0.9s;
}

/* TOGGLE BUTTON */

.header-menu-icon {
  display: block;
  width: 30px;
  height: 30px;
  position: relative;
  z-index: 9;
}

.header-menu-element .header-menu-icon {
  top: 50px;
  position: absolute;
  right: 20px;
  top: 20px;
}

.header-menu-icon span {
  display: block;
  width: 100%;
  height: 2px;
  position: absolute;
  top: 50%;
  background-color: #fff;
  transform: translate(0, -50%);
  transition: opacity 0.3s 0.3s;
}

.header-menu-element:not(.open) .header-menu-icon span {
  background-color: #fff;
}

.header-menu-icon::before,
.header-menu-icon::after {
  content: "";
  display: block;
  width: 100%;
  height: 2px;
  position: absolute;
  background-color: #fff;
  transition: transform 0.3s, top 0.3s 0.3s, bottom 0.3s 0.3s;
}

.header-menu-icon::before {
  top: 6px;
}

.header-menu-icon::after {
  bottom: 6px;
}

.header-menu-open .header-menu-icon span {
  opacity: 0;
  transition: opacity 0.3s;
}

.header-menu-open .header-menu-icon::before,
.header-menu-open .header-menu-icon::after {
  background-color: rgb(177, 43, 43);
}

.header-menu-open .header-menu-icon::before {
  top: calc(50% - 1px);
  transform: rotate(45deg);
}

.header-menu-open .header-menu-icon::after {
  bottom: calc(50% - 1px);
  transform: rotate(-45deg);
}

.header-menu-open .header-menu-icon::before,
.header-menu-open .header-menu-icon::after {
  transition: top 0.3s, bottom 0.3s, transform 0.3s 0.3s;
}









/* Header MENU CONTENT */

.header-menu-content {
  list-style-type: none;
  z-index: 3;
  font-family: raleway;
  padding-top: 50px;
  padding-bottom: 50px;
  margin-left: -40px;
}
.header-menu-content .header-menu-submenu {
  margin-left: 25px
  /* font-family: 'serif'; */
}

.header-menu-content li {
  opacity: 0;
  margin-bottom: 5px;
  transform: translateX(20px);
  transition: all 0.3s;
}


.header-menu-open .header-menu-content li {
  opacity: 1;
  transform: translateX(0);
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.header-menu-content a {
  position: relative;
  font-size: 24px;
  text-decoration: none;
  color: #6191d1;
}

.header-menu-content a::before {
  content: "";
  display: block;
  height: 2px;
  width: 0;
  position: absolute;
  left: -30px;
  top: 50%;
  background-color: #6191d1;
  transform: translateY(-50%);
  transition: width 0.3s;
}

.header-menu-content a:hover::before {
  width: 15px;
}



/* BACKGROUND ANIMATION */

.header-menu-background {
  visibility: hidden;
  width: 120vh;
  height: 45vh;
  position: absolute;
  left: -150%;
  background-color: #fff;
  transition: background-position 0.5s, transform 0.5s 0.5s, visibility 0.5s 1s;
}

.header-menu-open .header-menu-background {
  visibility: visible;
  transition: background-position 0.5s, transform 0.5s 0.5s;
}

.header-menu-background.top {
  transform: rotate(-45deg) translateY(-150%);
  background: linear-gradient(to top, rgb(155, 198, 238) 50%, #fff 50%);
  background-size: 100% 200%;
  background-position: -100% 100%;
}

.header-menu-open .header-menu-background.top {
  transform: rotate(-45deg) translateY(-49%);
  background-position: 0 0;
}

.header-menu-background.middle {
  transform: rotate(-45deg) translateY(50%) scaleY(0);
  background: #fff;
}

.header-menu-open .header-menu-background.middle {
  transform: rotate(-45deg) translateY(50%) scaleY(1);
}

.header-menu-background.bottom {
  transform: rotate(-45deg) translateY(250%);
  background: linear-gradient(to bottom, #fff 50%, rgb(155, 198, 238) 50%);
  background-size: 100% 200%;
  background-position: 0 -100%;
}

.header-menu-open .header-menu-background.bottom {
  transform: rotate(-45deg) translateY(149%);
  background-position: 0 0;
}





/* NAV ANIMATIONS */

.header-menu-content li:nth-child(9) {
  transition-delay: 0.1s;
}

.header-menu-content li:nth-child(9) span {
  transition-delay: 0.1s;
}

.header-menu-content li:nth-child(8) {
  transition-delay: 0.1s;
}

.header-menu-content li:nth-child(8) span {
  transition-delay: 0.1s;
}

.header-menu-content li:nth-child(7) {
  transition-delay: 0.1s;
}

.header-menu-content li:nth-child(7) span {
  transition-delay: 0.1s;
}

.header-menu-content li:nth-child(6) {
  transition-delay: 0.1s;
}

.header-menu-content li:nth-child(6) span {
  transition-delay: 0.1s;
}

.header-menu-content li:nth-child(5) {
  transition-delay: 0.1s;
}

.header-menu-content li:nth-child(5) span {
  transition-delay: 0.1s;
}

.header-menu-content li:nth-child(4) {
  transition-delay: 0.2s;
}

.header-menu-content li:nth-child(4) span {
  transition-delay: 0.2s;
}

.header-menu-content li:nth-child(3) {
  transition-delay: 0.3s;
}

.header-menu-content li:nth-child(3) span {
  transition-delay: 0.3s;
}

.header-menu-content li:nth-child(2) {
  transition-delay: 0.4s;
}

.header-menu-content li:nth-child(2) span {
  transition-delay: 0.4s;
}

.header-menu-content li:nth-child(1) {
  transition-delay: 0.5s;
}

.header-menu-content li:nth-child(1) span {
  transition-delay: 0.5s;
}

/* --------------------- */


.header-menu-open .header-menu-content li:nth-child(1) {
  transition-delay: 1.1s;
}

.header-menu-open .header-menu-content li:nth-child(1) span {
  transition-delay: 1.1s;
}

.header-menu-open .header-menu-content li:nth-child(2) {
  transition-delay: 1.2s;
}

.header-menu-open .header-menu-content li:nth-child(2) span {
  transition-delay: 1.2s;
}

.header-menu-open .header-menu-content li:nth-child(3) {
  transition-delay: 1.3s;
}

.header-menu-open .header-menu-content li:nth-child(3) span {
  transition-delay: 1.3s;
}

.header-menu-open .header-menu-content li:nth-child(4) {
  transition-delay: 1.4s;
}

.header-menu-open .header-menu-content li:nth-child(4) span {
  transition-delay: 1.4s;
}

.header-menu-open .header-menu-content li:nth-child(5) {
  transition-delay: 1.5s;
}

.header-menu-open .header-menu-content li:nth-child(5) span {
  transition-delay: 1.5s;
}

.header-menu-open .header-menu-content li:nth-child(6) {
  transition-delay: 1.5s;
}

.header-menu-open .header-menu-content li:nth-child(6) span {
  transition-delay: 1.5s;
}

.header-menu-open .header-menu-content li:nth-child(7) {
  transition-delay: 1.5s;
}

.header-menu-open .header-menu-content li:nth-child(7) span {
  transition-delay: 1.5s;
}

.header-menu-open .header-menu-content li:nth-child(8) {
  transition-delay: 1.5s;
}

.header-menu-open .header-menu-content li:nth-child(8) span {
  transition-delay: 1.5s;
}

.header-menu-open .header-menu-content li:nth-child(9) {
  transition-delay: 1.5s;
}

.header-menu-open .header-menu-content li:nth-child(9) span {
  transition-delay: 1.5s;
}







/* FOOTER */
#footer .line3
{
  height: 8rem;
  transform: translate(0%, -4rem);
  position: relative;
}

#footer
{
  width: 100%;
  height: 18em;
  background: #282828;
  margin-top: 8em;
  position: relative;
  z-index: 3;

  display: flex;
  flex-direction: column; /* Stack elements vertically */
  align-items: center; /* Center horizontally */
  justify-content: center; /* Center vertically */
  text-align: center; /* Center text content */
  padding: 20px; /* Optional padding for spacing */
}

#footer a
{
  color: inherit;
  text-decoration: none;
}
#footer a:hover, #footer a:active
{
  text-decoration: underline;
}

#footer .footer-text
{
  color: darkgray;
  text-align: center;
  /* position: absolute;
  top: 30%;
  left: 50%;
  transform: translate(-50%, 0%); */
  font-family: 'din-neuzeit-grotesk';
  font-size: 24px;
}

#footer .fish-icon-container {
  margin-top: 20px;
}

#footer .fish-icon
{
  width: 50px;
  height: 50px;
  /* position: absolute;
  left: 50%;
  bottom: 22%;
  transform: translate(-50%, 0%) */
}

#footer .footer-text-smaller
{
  color: darkgray;
  text-align: center;
  /* position: absolute; */
  /* bottom: 5%; */
  /* left: 50%; */
  /* transform: translate(-50%, 0%); */
  font-family: 'din-neuzeit-grotesk';
  font-size: 14px;
  line-height: 1.3;
  margin-top: 20px;
}